Loading...
Searching...
No Matches
Dune::Amg::ConnectivityConstructor< G, SequentialInformation > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/galerkin.hh>`

Inheritance diagram for Dune::Amg::ConnectivityConstructor< G, SequentialInformation >:

## Public Types

typedef G::VertexDescriptor | Vertex

## Static Public Member Functions

template<class V, class R>
static void | examine (G &graph, V &visitedMap, const SequentialInformation &pinfo, const AggregatesMap< Vertex > &aggregates, R &row)
static void | constructOverlapConnectivity (R &row, G &graph, V &visitedMap, const AggregatesMap< typename G::VertexDescriptor > &aggregates, const OverlapVertex< typename G::VertexDescriptor > *&seed, const OverlapVertex< typename G::VertexDescriptor > *overlapEnd)
static void | constructNonOverlapConnectivity (R &row, G &graph, V &visitedMap, const AggregatesMap< typename G::VertexDescriptor > &aggregates, const typename G::VertexDescriptor &seed)
| Construct the connectivity of an aggregate in the overlap.

## Member Function Documentation

## constructNonOverlapConnectivity()

void Dune::Amg::BaseConnectivityConstructor::constructNonOverlapConnectivity | ( | R & | row,
|  | G & | graph,
|  | V & | visitedMap,
|  | const AggregatesMap< typename G::VertexDescriptor > & | aggregates,
|  | const typename G::VertexDescriptor & | seed )

static

Construct the connectivity of an aggregate in the overlap.

## constructOverlapConnectivity()

void Dune::Amg::BaseConnectivityConstructor::constructOverlapConnectivity | ( | R & | row,
|  | G & | graph,
|  | V & | visitedMap,
|  | const AggregatesMap< typename G::VertexDescriptor > & | aggregates,
|  | const OverlapVertex< typename G::VertexDescriptor > *& | seed,
|  | const OverlapVertex< typename G::VertexDescriptor > * | overlapEnd )

static

The documentation for this struct was generated from the following file:

- galerkin.hh